package com.ice.behavior.Command;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-11-01 09:27:56
 */
public class ConcreteCommand implements Command{

    private Receiver receiver;

    public ConcreteCommand(Receiver receiver) {
        this.receiver = receiver;
    }

    public ConcreteCommand() {

    }

    @Override
    public void execute() {
        receiver.action();
    }
}
